Skip to main content
POST
Error

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Body

application/json

Create a new case field.

name
string
required

The name of the column

Required string length: 1 - 100
type
enum<string>
required

The SQL type of the column

Available options:
TEXT,
INTEGER,
NUMERIC,
DATE,
BOOLEAN,
TIMESTAMPTZ,
JSONB,
SELECT,
MULTI_SELECT
Required string length: 1 - 100
nullable
boolean
default:true
default
unknown
is_index
boolean
default:false

Whether to create a unique index on the column

options
string[] | null
display_name
string | null
Required string length: 1 - 255
kind
enum<string> | null

Semantic kind for case custom fields.

Controls how the field is rendered in the UI without changing the underlying SQL storage type.

Available options:
LONG_TEXT,
URL
required_on_closure
boolean
default:false

Response

Successful Response

Minimal read model for a case field.

id
string
required
display_name
string
required
type
enum<string>
required

Read-only type for case field metadata.

Available options:
TEXT,
INTEGER,
NUMERIC,
DATE,
BOOLEAN,
TIMESTAMPTZ,
JSONB,
SELECT,
MULTI_SELECT,
UUID
description
string
required
nullable
boolean
required
default
string | null
required
reserved
boolean
required
options
string[] | null
kind
enum<string> | null

Semantic kind for case custom fields.

Controls how the field is rendered in the UI without changing the underlying SQL storage type.

Available options:
LONG_TEXT,
URL
required_on_closure
boolean
default:false